ASN1_BIT_STRING_NEW(3SSL)

NAME
ASN1_BIT_STRING_new, ASN1_BIT_STRING_free - ASN1_BIT_STRING allocation functions

SYNOPSIS
 #include <openssl/asn1.h>

 ASN1_BIT_STRING *ASN1_BIT_STRING_new(void);
 void ASN1_BIT_STRING_free(ASN1_BIT_STRING *a);

DESCRIPTION
ASN1_BIT_STRING_new() returns an allocated ASN1_BIT_STRING structure.

ASN1_BIT_STRING_free() frees up a single ASN1_BIT_STRING object. If the argument is NULL, nothing is done.

ASN1_BIT_STRING structure representing the ASN.1 BIT_STRING type.

RETURN VALUES
ASN1_BIT_STRING_new() return a valid ASN1_BIT_STRING structure or NULL if an error occurred.

ASN1_BIT_STRING_free() does not return a value.

SEE ALSO
ERR_get_error(3)

COPYRIGHT
Copyright 2026 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.